Bug 736951 - RFE: select iso image/url first and generate suggested guest name from it
RFE: select iso image/url first and generate suggested guest name from it
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
Depends On:
  Show dependency treegraph
Reported: 2011-09-09 03:37 EDT by Jens Petersen
Modified: 2013-10-01 17:44 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-01 17:44:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-09-09 03:37:37 EDT
Description of problem:
I find I often just want the guest name to be based on
the iso image I am installing.  How about first selecting
the file or url to install and then asking for the guest
name, defaulting to something derived from the iso or url?

Steps to Reproduce:
1. Click new guest icon
2. try to remember name of image or write a placeholder
3. select local or net install
4. select iso (or input url)
Actual results:
5. copy part of iso file name and return to first page to fix guest name
6. click forward to continue guest setup

Expected results:
2. select iso or input url
3. check guest name generated from iso filename or url
eg Fedora-16-Alpha-i686-Live-Desktop.iso -> Fedora-16-Alpha-i686-Live-Desktop
http://download.fedoraproject.org/pub/fedora/linux/releases/15/Fedora/x86_64/os/ -> Fedora-15-x86_64
even just being able to copy the filename first before naming would be an improvement.
4. get faster to install and profit
Comment 1 Cole Robinson 2011-09-19 12:10:36 EDT
Yes that would be useful, but to really get there we need some more plumbing. We need improved media detection capabilities so we can actually populate a sensisble name for most cases. This is being worked on ATM

We could probably shift the UI by removing the Name field from the first page, and making the Name: section on the final page an editable text entry, automatically populated with our generated name.
Comment 2 Cole Robinson 2013-10-01 17:44:44 EDT
There's a simple version of this upstream now: name was moved to the last page, and we generate one from the detected or selected distro. So you'll get fedora20, or fedora20-2 if that conflicts, etc. We can get fancier with this when we switch to libosinfo and have better media detection, but for now it's something to work with.

Note You need to log in before you can comment on or make changes to this bug.